Bug 13571 - koha-conf.xml.in has fallen out of sync with koha-conf.xml
Summary: koha-conf.xml.in has fallen out of sync with koha-conf.xml
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
: 13569 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-01-13 13:52 UTC by Martin Renvoize
Modified: 2016-01-19 04:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13571: Koha-conf.xml.in has fallen out of sync with koha-conf.xml (2.71 KB, patch)
2015-01-15 00:02 UTC, Rochelle Healy
Details | Diff | Splinter Review
Bug 13571: Koha-conf.xml.in has fallen out of sync with koha-conf.xml (2.76 KB, patch)
2015-01-15 02:34 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 13571: followup to remove some now-unused options (1.56 KB, patch)
2015-01-15 02:35 UTC, Robin Sheat
Details | Diff | Splinter Review
[PASSED QA] Bug 13571: Koha-conf.xml.in has fallen out of sync with koha-conf.xml (2.83 KB, patch)
2015-01-15 09:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
[PASSED QA] Bug 13571: followup to remove some now-unused options (1.63 KB, patch)
2015-01-15 09:41 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-01-13 13:52:36 UTC
It would appear that koha-conf.xml (under /kohaclone/etc/) has moved forward and koha-conf.xml.in (in /kohaclone/debian/templates/) has not kept up..

These aught to be resynced
Comment 1 Martin Renvoize 2015-01-13 13:53:36 UTC
I wonder if Robin might be able to spend some time with an Acadmeny person working through this... form initial look there's not too much to it.. but a packaging pro to hand would instil a bit of extra confidence ;)
Comment 2 Rochelle Healy 2015-01-15 00:02:43 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2015-01-15 02:34:12 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2015-01-15 02:35:44 UTC Comment hidden (obsolete)
Comment 5 Robin Sheat 2015-01-15 02:48:24 UTC
Actually, I'll remove my Passed QA in favour of a second look-over, just to be on the safe side. Martin, can you have a look and mark it as Passed QA if it seems good to you?
Comment 6 M. Tompsett 2015-01-15 04:26:24 UTC
When did Koha lose the ability to be installed in a home directory?
This hard coded path and __KOHASITE__ instead of __ZEBRA{WHATEVER}__ seems like a step backwards. When did that come in?

$ cd ~/kohaclone
$ diff etc/koha-conf.xml debian/templates/koha-conf-site.xml.in > ~/file.txt
$ cat ~/file.txt
1d0
<
3,13c2,4
< <!-- [scheme:]host[:port][/databaseName] -->
< <!-- scheme: tcp, ssl, unix, http, sru -->
< <!-- can run all servers on tcp, but the unix socket is faster -->
<
< <listen id="biblioserver" >unix:__ZEBRA_RUN_DIR__/bibliosocket</listen>
< <listen id="authorityserver" >unix:__ZEBRA_RUN_DIR__/authoritysocket</listen>
< <!-- uncomment these lines and comment out the above if running on MSWin32 -->
< <!--
< <listen id="biblioserver" >tcp:localhost:9998/bibliosocket</listen>
< <listen id="authorityserver" >tcp:localhost:9999/authoritysocket</listen>
< -->
---
>
> <listen id="biblioserver" >unix:/var/run/koha/__KOHASITE__/bibliosocket</listen>
> <listen id="authorityserver" >unix:/var/run/koha/__KOHASITE__/authoritysocket</listen>
16c7
<     Also uncomment the <server> and <serverinfo> sections for id 'publicserver'
---
>     Also uncomment the <server> and <serverinfo> sections for id 'publicserver'
18,20c9,11
< <!--
< <listen id="publicserver" >tcp:@:__ZEBRA_SRU_BIBLIOS_PORT__</listen>
< -->
---
> __START_SRU_PUBLICSERVER__
> <listen id="publicserver" >tcp:@:__SRU_BIBLIOS_PORT__</listen>
> __END_SRU_PUBLICSERVER__
26c17
< __PAZPAR2_TOGGLE_XML_PRE__
---
> <!--
28,31c19,22
< <server id="mergeserver"  listenref="mergeserver">
<     <directory>__ZEBRA_DATA_DIR__/biblios</directory>
<     <config>__ZEBRA_CONF_DIR__/__ZEBRA_BIB_CFG__</config>
<     <cql2rpn>__ZEBRA_CONF_DIR__/pqf.properties</cql2rpn>
---
> <server id="mergeserver"  listenref="mergeserver">
>     <directory>/var/lib/koha/__KOHASITE__/biblios</directory>
>     <config>/etc/koha/sites/__KOHASITE__/__ZEBRA_BIBLIOS_CFG__</config>
>     <cql2rpn>/var/lib/koha/__KOHASITE__/pqf.properties</cql2rpn>
33c24
< __PAZPAR2_TOGGLE_XML_POST__
---
> -->
36,41c27,96
< <server id="biblioserver"  listenref="biblioserver">
<     <directory>__ZEBRA_DATA_DIR__/biblios</directory>
<     <config>__ZEBRA_CONF_DIR__/__ZEBRA_BIB_CFG__</config>
<     <cql2rpn>__ZEBRA_CONF_DIR__/pqf.properties</cql2rpn>
<     <xi:include href="__KOHA_CONF_DIR__/zebradb/__BIB_RETRIEVAL_CFG__" xmlns:xi="http://www.w3.org/2001/XInclude"/>
<     <xi:include href="__KOHA_CONF_DIR__/zebradb/explain-biblios.xml" xmlns:xi="http://www.w3.org/2001/XInclude"/>
---
> <server id="biblioserver"  listenref="biblioserver">
>     <directory>/var/lib/koha/__KOHASITE__/biblios</directory>
>     <config>/etc/koha/sites/__KOHASITE__/__ZEBRA_BIBLIOS_CFG__</config>
>     <cql2rpn>/etc/koha/zebradb/pqf.properties</cql2rpn>
>
>     __START_BIBLIOS_RETRIEVAL_INFO__
>        <retrieval syntax="__ZEBRA_MARC_FORMAT__" name="F"/>
>        <retrieval syntax="__ZEBRA_MARC_FORMAT__" name="B"/>
>        <retrieval syntax="xml" name="F"/>
>        <retrieval syntax="xml" name="B"/>
>        <retrieval syntax="xml" name="marcxml"
>                   identifier="info:srw/schema/1/marcxml-v1.1">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="dc">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2DC.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="mods">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2MODS.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="rdfdc">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2RDFDC.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="rss2">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2RSS2.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="utils">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slimUtils.xsl"/>
>          </backend>
>        </retrieval>
>     __END_BIBLIOS_RETRIEVAL_INFO__
>
>     <!-- The stuff below is used to enable SRU. It's currently disabled
>          until we come up with a good way to make it get magically set up by
>          the packaging system. If you need it, uncomment and set it up
>          manually.
>     <xi:include href="__KOHA_CONF_DIR__/zebradb/explain-biblios.xml"
>                 xmlns:xi="http://www.w3.org/2001/XInclude">
>       <xi:fallback>
>       <explain xmlns="http://explain.z3950.org/dtd/2.0/">
>           <serverInfo>
>             <host>__ZEBRA_SRU_HOST__</host>
>             <port>__ZEBRA_SRU_BIBLIOS_PORT__</port>
>             <database>biblios</database>
>           </serverInfo>
>         </explain>
>       </xi:fallback>
>     </xi:include> -->
44,45c99,100
<         <ccl2rpn>__ZEBRA_CONF_DIR__/ccl.properties</ccl2rpn>
<         <user>__ZEBRA_USER__</user>
---
>         <ccl2rpn>/etc/koha/zebradb/ccl.properties</ccl2rpn>
>         <user>kohauser</user>
51,55c106,165
<     <directory>__ZEBRA_DATA_DIR__/authorities</directory>
<     <config>__ZEBRA_CONF_DIR__/__ZEBRA_AUTH_CFG__</config>
<     <cql2rpn>__ZEBRA_CONF_DIR__/pqf.properties</cql2rpn>
<     <xi:include href="__KOHA_CONF_DIR__/zebradb/__AUTH_RETRIEVAL_CFG__" xmlns:xi="http://www.w3.org/2001/XInclude"/>
<     <xi:include href="__KOHA_CONF_DIR__/zebradb/explain-authorities.xml" xmlns:xi="http://www.w3.org/2001/XInclude"/>
---
>     <directory>/var/lib/koha/__KOHASITE__/authorities</directory>
>     <config>/etc/koha/sites/__KOHASITE__/__ZEBRA_AUTHORITIES_CFG__</config>
>     <cql2rpn>/etc/koha/zebradb/pqf.properties</cql2rpn>
>
>     __START_AUTHORITIES_RETRIEVAL_INFO__
>        <retrieval syntax="__ZEBRA_MARC_FORMAT__" name="F"/>
>        <retrieval syntax="__ZEBRA_MARC_FORMAT__" name="B"/>
>        <retrieval syntax="xml" name="marcxml"
>                   identifier="info:srw/schema/1/marcxml-v1.1">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="dc">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2DC.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="mods">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2MODS.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="rdfdc">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2RDFDC.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="utils">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slimUtils.xsl"/>
>          </backend>
>        </retrieval>
>     __END_AUTHORITIES_RETRIEVAL_INFO__
>
>     <!-- The stuff below is used to enable SRU. It's currently disabled
>          until we come up with a good way to make it get magically set up by
>          the packaging system. If you need it, uncomment and set it up
>          manually.
>     <xi:include href="__KOHA_CONF_DIR__/zebradb/explain-authorities.xml"
>                 xmlns:xi="http://www.w3.org/2001/XInclude">
>     <xi:fallback>
>       <explain xmlns="http://explain.z3950.org/dtd/2.0/">
>           <serverInfo>
>             <host>__ZEBRA_SRU_HOST__</host>
>             <port>__ZEBRA_SRU_AUTHORITIES_PORT__</port>
>             <database>authorities</database>
>           </serverInfo>
>         </explain>
>       </xi:fallback>
>   </xi:include> -->
58,59c168,169
<     <ccl2rpn>__ZEBRA_CONF_DIR__/ccl.properties</ccl2rpn>
<     <user>__ZEBRA_USER__</user>
---
>     <ccl2rpn>/etc/koha/zebradb/ccl.properties</ccl2rpn>
>     <user>kohauser</user>
64,70c174,241
< <!--
< <server id="publicserver"  listenref="publicserver">
<     <directory>__ZEBRA_DATA_DIR__/biblios</directory>
<     <config>__ZEBRA_CONF_DIR__/__ZEBRA_BIB_CFG__</config>
<     <cql2rpn>__ZEBRA_CONF_DIR__/pqf.properties</cql2rpn>
<     <xi:include href="__KOHA_CONF_DIR__/zebradb/__BIB_RETRIEVAL_CFG__" xmlns:xi="http://www.w3.org/2001/XInclude"/>
<     <xi:include href="__KOHA_CONF_DIR__/zebradb/explain-biblios.xml" xmlns:xi="http://www.w3.org/2001/XInclude"/>
---
> <!-- This can be used to set up a public Z39.50/SRU server. -->
> __START_SRU_PUBLICSERVER__
> <server id="publicserver"  listenref="publicserver">
>     <directory>/var/lib/koha/__KOHASITE__/biblios</directory>
>     <config>/etc/koha/sites/__KOHASITE__/__ZEBRA_BIBLIOS_CFG__</config>
>     <cql2rpn>/etc/koha/zebradb/pqf.properties</cql2rpn>
>
>     __START_BIBLIOS_RETRIEVAL_INFO__
>        <retrieval syntax="__ZEBRA_MARC_FORMAT__" name="F"/>
>        <retrieval syntax="__ZEBRA_MARC_FORMAT__" name="B"/>
>        <retrieval syntax="xml" name="F"/>
>        <retrieval syntax="xml" name="B"/>
>        <retrieval syntax="xml" name="marcxml"
>                   identifier="info:srw/schema/1/marcxml-v1.1">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="dc">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2DC.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="mods">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2MODS.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="rdfdc">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2RDFDC.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="rss2">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slim2RSS2.xsl"/>
>          </backend>
>        </retrieval>
>        <retrieval syntax="xml" name="utils">
>          <backend syntax="__ZEBRA_MARC_FORMAT__" name="F">
>            <marc inputformat="marc" outputformat="marcxml"
>                  inputcharset="utf-8"/>
>            <xslt stylesheet="/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/xslt/MARC21slimUtils.xsl"/>
>          </backend>
>        </retrieval>
>     __END_BIBLIOS_RETRIEVAL_INFO__
>
>     <xi:include href="__KOHA_CONF_DIR__/zebradb/explain-biblios.xml"
>                 xmlns:xi="http://www.w3.org/2001/XInclude">
>       <xi:fallback>
>       <explain xmlns="http://explain.z3950.org/dtd/2.0/">
>           <serverInfo>
>             <host>__ZEBRA_SRU_HOST__</host>
>             <port>__ZEBRA_SRU_BIBLIOS_PORT__</port>
>             <database>biblios</database>
>           </serverInfo>
>         </explain>
>       </xi:fallback>
>     </xi:include>
73,74c244,245
<         <ccl2rpn>__ZEBRA_CONF_DIR__/ccl.properties</ccl2rpn>
<         <user>__ZEBRA_USER__</user>
---
>         <ccl2rpn>/etc/koha/zebradb/ccl.properties</ccl2rpn>
>         <user>kohauser</user>
77c248
< -->
---
> __END_SRU_PUBLICSERVER__
79,82d249
< <!-- ADDITIONAL KOHA CONFIGURATION DIRECTIVE -->
< <!-- db_scheme should follow the DBD driver name -->
< <!-- the DBD drivers supported by Koha are mysql and Pg -->
< <!-- port info: mysql:3306 Pg:5432 (5433 on Debian) -->
84c251
<  <db_scheme>__DB_TYPE__</db_scheme>
---
>  <db_scheme>mysql</db_scheme>
87c254
<  <port>__DB_PORT__</port>
---
>  <port>3306</port>
96,103c263,270
<  <intranetdir>__INTRANET_CGI_DIR__</intranetdir>
<  <opacdir>__OPAC_CGI_DIR__/opac</opacdir>
<  <opachtdocs>__OPAC_TMPL_DIR__</opachtdocs>
<  <intrahtdocs>__INTRANET_TMPL_DIR__</intrahtdocs>
<  <includes>__INTRANET_TMPL_DIR__/prog/en/includes/</includes>
<  <logdir>__LOG_DIR__</logdir>
<  <docdir>__DOC_DIR__</docdir>
<  <backupdir>__BACKUP_DIR__</backupdir>
---
>  <intranetdir>/usr/share/koha/intranet/cgi-bin</intranetdir>
>  <opacdir>/usr/share/koha/opac/cgi-bin/opac</opacdir>
>  <opachtdocs>/usr/share/koha/opac/htdocs/opac-tmpl</opachtdocs>
>  <intrahtdocs>/usr/share/koha/intranet/htdocs/intranet-tmpl</intrahtdocs>
>  <includes>/usr/share/koha/intranet/htdocs/intranet-tmpl/prog/en/includes/</includes>
>  <logdir>/var/log/koha/__KOHASITE__</logdir>
>  <docdir>/usr/share/doc/koha-common</docdir>
>  <backupdir>/var/spool/koha/__KOHASITE__</backupdir>
109,114c276,277
<  <!-- Uncomment the following line if you are not using packages and need to schedule reports through the web interface. supportdir should contain cronjobs/runreport.pl -->
<  <!--
<  <supportdir>__SCRIPT_NONDEV_DIR__</supportdir>
<  -->
<  <pazpar2url>http://__PAZPAR2_HOST__:__PAZPAR2_PORT__/search.pz2</pazpar2url>
<  <install_log>__MISC_DIR__/koha-install-log</install_log>
---
>  <!-- <pazpar2url>http://__PAZPAR2_HOST__:__PAZPAR2_PORT__/search.pz2</pazpar2url> -->
>  <install_log>/usr/share/koha/misc/koha-install-log</install_log>
116,119c279,283
<  <useshibboleth>0</useshibboleth><!-- see C4::Auth_with_shibboleth for extra configs you must do to turn this on -->
<  <zebra_bib_index_mode>__BIB_INDEX_MODE__</zebra_bib_index_mode>
<  <zebra_auth_index_mode>__AUTH_INDEX_MODE__</zebra_auth_index_mode>
<  <zebra_lockdir>__ZEBRA_LOCK_DIR__</zebra_lockdir>
---
>  <memcached_servers>__MEMCACHED_SERVERS__</memcached_servers>
>  <memcached_namespace>__MEMCACHED_NAMESPACE__</memcached_namespace>
>  <zebra_bib_index_mode>__BIBLIOS_INDEXING_MODE__</zebra_bib_index_mode>
>  <zebra_auth_index_mode>__AUTHORITIES_INDEXING_MODE__</zebra_auth_index_mode>
>  <zebra_lockdir>/var/lock/koha/__KOHASITE__</zebra_lockdir>
121,138c285
<  <queryparser_config>__KOHA_CONF_DIR__/searchengine/queryparser.yaml</queryparser_config>
<
<  <!-- true type font mapping accoding to type from $font_types in C4/Creators/Lib.pm -->
<  <ttf>
<     <font type="TR" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf</font>
<     <font type="TB" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Bold.ttf</font>
<     <font type="TI" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-Italic.ttf</font>
<     <font type="TBI">/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif-BoldItalic.ttf</font>
<     <font type="C"  >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf</font>
<     <font type="CB" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Bold.ttf</font>
<     <font type="CO" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-Oblique.ttf</font>
<     <font type="CBO">/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono-BoldOblique.ttf</font>
<     <font type="H"  >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf</font>
<     <font type="HO" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Oblique.ttf</font>
<     <font type="HB" >/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf</font>
<     <font type="HBO">/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-BoldOblique.ttf</font>
<  </ttf>
<
---
>  <queryparser_config>/etc/koha/searchengine/queryparser.yaml</queryparser_config>
139a287
>
Comment 7 Robin Sheat 2015-01-15 08:20:21 UTC
This is for the packages, you can never install the packages in your home directory.
Comment 8 Martin Renvoize 2015-01-15 09:10:35 UTC
Oh brill, you guys jumped on this whilst i was sleeping.. that's fast action :)

Yes, I can also varify that this only affects packages Mark, you can still run through makefile using a tarball or git install and select dev to install wherever you want.  Packages never gave you a choice of where to install.. and shouldn't.

I'll build a package from this today to test.. but a quick glance at the code leads me to believe it 'should' all just work fine :)

Thanks Rochelle
Comment 9 Martin Renvoize 2015-01-15 09:40:17 UTC
Created attachment 35292 [details] [review]
[PASSED QA] Bug 13571: Koha-conf.xml.in has fallen out of sync with koha-conf.xml

To test:
1- Build new koha packages
2- Check that the conflist file contains the changes we have made

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2015-01-15 09:41:19 UTC
Created attachment 35293 [details] [review]
[PASSED QA] Bug 13571: followup to remove some now-unused options

The memcache parameters aren't used by anything (except C4::SQLHelper,
but that's a cancer on the face of the earth) anymore, so they can go.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2015-01-15 09:43:35 UTC
I'm happy that this does what it says and causes no regressions for packages :)

At some point I'de love to see mass of inline zebra config moved as per the non-package installs, but that's sort of out of scope for this particular bug as it would require hacking in more places ;)

Passing QA

Cheers Rochelle
Comment 12 Martin Renvoize 2015-01-15 09:45:19 UTC
Marcel, I've just added you to the cc list for this bug.. as you did (i think) the work in breaking out the zebra configs from koha-conf into their own file, any chance you could glance over this and possibly do the same for zebra in packages?
Comment 13 Marcel de Rooy 2015-01-15 09:47:07 UTC
(In reply to Martin Renvoize from comment #12)
> Marcel, I've just added you to the cc list for this bug.. as you did (i
> think) the work in breaking out the zebra configs from koha-conf into their
> own file, any chance you could glance over this and possibly do the same for
> zebra in packages?

Yes, I still have some report open on my list to move some changes to the packages env..
Comment 14 Robin Sheat 2015-01-15 22:40:56 UTC
(In reply to M. de Rooy from comment #13)
> Yes, I still have some report open on my list to move some changes to the
> packages env..

That would be swell.
Comment 15 Tomás Cohen Arazi 2015-01-17 13:46:43 UTC
Patches pushed to master.

Thanks Rochelle!
Comment 16 Chris Cormack 2015-01-18 02:36:35 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 17 Mirko Tietgen 2015-03-03 07:10:30 UTC
*** Bug 13569 has been marked as a duplicate of this bug. ***